FORUMS

"Google Play services not supported by your device." Any idea how to fix it?

22 posts
Thanks Meter: 0
 
By CannedBullets, Junior Member on 18th August 2014, 05:19 AM
Post Reply Subscribe to Thread Email Thread
Click image for larger version

Name:	screenshot-20140817-053041pm.png
Views:	33
Size:	52.7 KB
ID:	2901744

This happens every time I try to open an app like Hangouts or Youtube it gives me that error. Updating Google Play services also gives me that error. I reflashed my Droid multiple times with Steel Droid v11 and I still have the same issue. I even installed a version of Gapps which was newer for Gingerbread but the same thing is still happening. I can still use Gmail and the Play Store though.

The build version is 4.4.21 which is outdated but tapping on the build version doesn't auto-update like it usually would.

Any idea how to fix it?
 
 
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes